# GetCertExpressInvitation

Retrieve a single CertExpress invitation

`GET /api/v2/companies/{companyId}/customers/{customerCode}/certexpressinvites/{id}`

**API:** AvaTax API
**Tag:** CertExpressInvites
**API Version:** v2
**Base URL:** https://sandbox-rest.avatax.com/
**Accepts:** `application/json`
**Authentication:** API Key (`Authorization` in header) or OAuth 2.0 or Basic (username + license key)

Source: https://developer.avalara.com/products/avatax/api/methods/CertExpressInvites/GetCertExpressInvitation/

## Description

Retrieve an existing CertExpress invitation sent to a customer.
            
A CertExpression invitation allows a customer to follow a helpful step-by-step guide to provide information
about their certificates.  This step by step guide allows the customer to complete and upload the full
certificate in a convenient, friendly web browser experience.  When the customer completes their certificates,
they will automatically be recorded to your company and linked to the customer record.
            
The [CertExpress website](https://app.certexpress.com/home) is available for customers to use at any time.
Using CertExpress with this API will ensure that your certificates are automatically linked correctly into
your company so that they can be used for tax exemptions.
            
Before you can use any exemption certificates endpoints, you must set up your company for exemption certificate data storage.
Companies that do not have this storage system set up will see `CertCaptureNotConfiguredError` when they call exemption
certificate related APIs. To check if this is set up for a company, call `GetCertificateSetup`.  To request setup of exemption
certificate storage for this company, call `RequestCertificateSetup`.

### Security Policies

* This API requires one of the following user roles: AccountAdmin, AccountOperator, AccountUser, AvaTaxOnlyAccountAdmin, AvaTaxOnlyAccountUser, AvaTaxOnlyCompanyAdmin, AvaTaxOnlyCompanyUser, BatchServiceAdmin, CompanyAdmin, CompanyUser, CSPTester, SSTAdmin, TechnicalSupportAdmin, TechnicalSupportUser.
* This API depends on the following active services:*Required* (all):  AvaTaxPro, ECMEssentials, ECMPro, ECMPremium, VEMPro, VEMPremium, ECMProComms, ECMPremiumComms.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `companyId` | integer | path | Yes | The unique ID number of the company that issued this invitation |
| `customerCode` | string | path | Yes | The number of the customer where the request is sent to |
| `id` | integer | path | Yes | The unique ID number of this CertExpress invitation |
| `$include` | string | query | No | OPTIONAL: A comma separated list of special fetch options.  No options are defined at this time. |
| `X-Avalara-Client` | string | header | No | Identifies the software you are using to call this API.  For more information on the client header, see [Client Headers](https://developer.avalara.com/avatax/client-headers/) . |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | Success | `CertExpressInvitationModel` |
| 400 | Bad Request | `ProblemDetails` |
| 401 | Unauthorized | `ProblemDetails` |
| 404 | Not Found | `ProblemDetails` |

### 200 Response: `CertExpressInvitationModel`

Represents an invitation for a customer to use CertExpress to self-report their own certificates.
This invitation is delivered by your choice of method, or you can present a hyperlink to the user
directly in your connector.  Your customer will be redirected to https://app.certexpress.com/ where
they can follow a step-by-step guide to enter information about their exemption certificates.  The
certificates entered will be recorded and automatically linked to their customer record.

| Property | Type | Required | Description |
|---|---|---|---|
| `id` | integer | No | A unique ID number representing this CertExpress invitation. |
| `companyId` | integer | No | The unique ID number of the AvaTax company that sent this invitation. |
| `recipient` | string | No | The email address to which this invitation was sent.  If this invitation was presented as a weblink, this value will be null. |
| `customerCode` | string | No | The unique code of the customer that received this invitation.
Note: This field is case sensitive. To have exemption certificates apply, this value should
be the same as the one passed to create a customer. Example: `ABC`. |
| `customer` | CustomerModel | No | The customer who received this invitation. |
| `coverLetter` | CoverLetterModel | No | The attached cover letter object to this request. |
| `emailStatus` | string | No | The status of the emails associated with this invitation.  If this invitation was sent via email,
this value will change to `Sent` when the email message has been sent. |
| `coverLettersOnly` | boolean | No | True if this invitation contained a cover letter only. |
| `exposureZones` | integer[] | No | When an invitation is sent, it contains a list of exposure zones for which the customer is invited to upload
their exemption certificates.  This list contains the ID numbers of the exposure zones identified.
            
For a list of exposure zones, please call `ListCertificateExposureZones`. |
| `exemptReasons` | integer[] | No | The list of exemption reasons identified by this CertExpress invitation.
            
For a list of reason codes, please call `ListCertificateExemptReasons`. |
| `deliveryMethod` | string | No | Indicates the method that was used to deliver this CertExpress invitation. Values: `Email`, `Fax`, `Download`. Example: `Email`. |
| `message` | string | No | The custom message delivered with this invitation. |
| `date` | string | No | The date of the invitation. |
| `requestLink` | string | No | The web link (URL) that a customer can click on or visit to begin using this CertExpress invitation.
            
This value is only usable if the status of this invitation is `Ready` and the request was created with type `Download`.
NOTE: This link usually takes a few minutes to be available. |

## Example Request

```bash
curl -X GET "https://sandbox-rest.avatax.com/api/v2/companies/{companyId}/customers/{customerCode}/certexpressinvites/{id}" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```